Bug 683483 - rebase systemtap for rhel6.2
rebase systemtap for rhel6.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: systemtap (Show other bugs)
6.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
: Rebase, Reopened
Depends On: 640150
Blocks: 685064
  Show dependency treegraph
 
Reported: 2011-03-09 09:32 EST by Frank Ch. Eigler
Modified: 2011-12-06 10:17 EST (History)
4 users (show)

See Also:
Fixed In Version: systemtap-1.6-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Maybe something like the following for rhel 6.2 release notes: SystemTap SystemTap is a tracing and probing tool that allows users to study and monitor the activities of the operating system (particularly, the kernel) in fine detail. It provides information similar to the output of tools like netstat, ps, top, and iostat; however, SystemTap is designed to provide more filtering and analysis options for collected information. SystemTap in Red Hat Enterprise Linux 6.2 is updated to version 1.6, providing: * Security fixes for CVE-2011-2503: read instead of mmap to load modules, CVE-2011-2502: Don't allow path-based auth for uprobes * Security fixes for CVE-2011-1781, CVE-2011-1769: correct DW_OP_{mod,div} division-by-zero bug * Handle kernel modules with "-" in name such as "i2c-core" properly * process.mark now supports $$parms for reading probe parameters. * Improved, simplified operation of the compile-server and client: -compile-server may cache scripts build results for improved performance -compile-server and client communicate exchange version info to adjust communication protocol and use newest version of server possible -Removal of deprecated tools: stap-client, stap-authorize-server-cert, stap-authorize-signing-cert, stap-find-or-start-server, and stap-find-servers. * For remote execution, the "--remote USER@HOST" functionality can now be specified multiple times and will automatically build the script for distinct kernel and architecture configurations, and run it on all named machines at once. * Staprun allow multiple instance of the same script to run at same time.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 10:17:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2011-03-09 09:32:55 EST
systemtap 1.5 should be available in time for rhel6.2.  We should rebase to it as usual.  It should feature some PCP integration, which rhel6.2 could take advantage of if bug #640150 were approved.
Comment 3 RHEL Product and Program Management 2011-06-07 12:54:39 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 9 Frank Ch. Eigler 2011-07-26 11:39:36 EDT
systemtap 1.6 became available in time to make this rebase.
Comment 13 William Cohen 2011-08-16 15:24:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Maybe something like the following for rhel 6.2 release notes:

SystemTap

SystemTap is a tracing and probing tool that allows users to study and
monitor the activities of the operating system (particularly, the
kernel) in fine detail. It provides information similar to the output
of tools like netstat, ps, top, and iostat; however, SystemTap is
designed to provide more filtering and analysis options for collected
information.  SystemTap in Red Hat Enterprise Linux 6.2 is updated to
version 1.6, providing:

   * Security fixes for CVE-2011-2503: read instead of mmap to load modules,
     CVE-2011-2502: Don't allow path-based auth for uprobes
   * Security fixes for CVE-2011-1781, CVE-2011-1769: correct DW_OP_{mod,div}
     division-by-zero bug
   * Handle kernel modules with "-" in name such as "i2c-core" properly
   * process.mark now supports $$parms for reading probe parameters.
   * Improved, simplified operation of the compile-server and client:
     -compile-server may cache scripts build results for improved performance
     -compile-server and client communicate exchange version info to
      adjust communication protocol and use newest version of server possible
     -The "--remote USER@HOST" functionality can now be specified multiple
      times and will automatically build the script for distinct kernel and
      architecture configurations.
     -Removal of deprecated tools: stap-client, stap-authorize-server-cert,
      stap-authorize-signing-cert, stap-find-or-start-server, and
      stap-find-servers.
   * Staprun allow multiple instance of the same script to run at same time.
Comment 14 Frank Ch. Eigler 2011-08-16 15:42:39 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -20,10 +20,11 @@
      -compile-server may cache scripts build results for improved performance
      -compile-server and client communicate exchange version info to
       adjust communication protocol and use newest version of server possible
-     -The "--remote USER@HOST" functionality can now be specified multiple
-      times and will automatically build the script for distinct kernel and
-      architecture configurations.
      -Removal of deprecated tools: stap-client, stap-authorize-server-cert,
       stap-authorize-signing-cert, stap-find-or-start-server, and
       stap-find-servers.
+   * For remote execution, the "--remote USER@HOST" functionality can now 
+     be specified multiple times and will automatically build the script
+     for distinct kernel and architecture configurations, and run it on
+     all named machines at once.
    * Staprun allow multiple instance of the same script to run at same time.
Comment 17 errata-xmlrpc 2011-12-06 10:17:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1517.html

Note You need to log in before you can comment on or make changes to this bug.